Bug 212685 - network interface comes up at boot time even if it shouldn't
network interface comes up at boot time even if it shouldn't
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2006-10-27 20:54 EDT by Andre Robatino
Modified: 2014-03-16 23:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-30 12:17:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andre Robatino 2006-10-27 20:54:08 EDT
Description of problem:
  I configured an xDSL interface and specified that it not come up at boot time.
 But it does anyway.  Rechecking confirms that the box to specify coming up at
boot time was NOT checked.

Version-Release number of selected component (if applicable):

How reproducible:
not sure

Steps to Reproduce:
1.  Configure a network interface and specify that it not come up at boot time
(not sure whether it has to be xDSL).
2.  Reboot.
Actual results:
  Interface comes up automatically.

Expected results:
  Interface shouldn't come up.

Additional info:
  This would be a real pain for people on dialup if it affects them.  I don't
normally need the xDSL interface since my router does the PPPoE login, but when
the xDSL interface comes up I have 2 simultaneous IPs which violates my ISP's TOS.
Comment 1 Andre Robatino 2006-10-29 21:04:08 EST
  This time when I booted up, the interface didn't come up.  I don't know what
Comment 2 Bill Nottingham 2006-10-30 12:09:25 EST
Can you attach your ifcfg file?
Comment 3 Andre Robatino 2006-10-30 12:15:51 EST
  I don't seem to be experiencing the problem any more.  I did make the
additional change of unchecking the box which allowed all users to raise and
lower the interface, but I don't know if that's relevant.  Unless there are
corroborating reports, this should probably be closed.
Comment 4 Bill Nottingham 2006-10-30 12:17:56 EST
OK. Please reopen if it reoccurs.

Note You need to log in before you can comment on or make changes to this bug.